CineNet Driver Main

CineNet Driver

The CineNet Driver is the connection between the CineNet LSN Network and the CineSuite client applications. All CineSuite clients that interact with the CNA devices do so through the CineNet Driver. This allows the CineSuite clients to manage the interface to the users and allows the CineNet Driver to handle all the back end low level hardware communication.

CineNet Driver
  • Driver Name - Displays the CineSuite Reference Name for this CineNet Driver. This name is set using the Router Connection window.
  • Driver Serial Port - Displays the CineNet Driver serial port used. The serial port number is set using the CineNet Driver Configuration window.
  • Driver LSN Network ID - Displays the CineNet Driver LSN Network ID. The Network ID is set using the CineNet Driver Configuration window.
  • Driver Status - Displays the current serial port to gateway connection status. If the CineNet Driver is having a problem communicating with the gateway, the error is displayed on this line highlighted in red.
  • Network Activity - If the CineNet driver is communicating with the gateway, the pointer will move back and forth. The number indicates the number of data requests sent from the CineNet driver.
  • Pending Request Qty - The CineNet Driver has a 255 item request buffer. When requests are received internally or from CineSuite applications, they are added to this buffer. These requests are then forwarded to the LSN network in the order they came in as the gateway requests them. This number reflects the number of requests in the request buffer. If this number becomes large (above 50) there may be a significant delay seen on CineSuite applications when they request information from the CineNet Driver.
  • Log Window - The log window displays all activity occurring on the CineNet Driver. The log records are not stored on the hard drive. The log window will only display the last 1000 log records. These log records can be useful in troubleshooting minor problems.

MENUS

Driver
  • Configure
    • CineNet Settings - Displays the CineNet Driver Configuration window. This is where the serial port, network ID and gateway type are set.
    • Router Connection - Displays the Connection Settings window. This is where the name of the driver is entered along with the location of the CineSuite Network Router and reconnect delay.
    • Event Log Settings - Displays the Log Settings windows. The log settings determine how the database size is managed. Event Log records can be deleted based on their age or by the quantity of records in the database.
    • Select Database - Allows the user to select a different CineNet Driver database. This should never have to be done except possibly is cases of troubleshooting a technical problem with the application.
    • Pack Database Now - Reduces the size of the database and speeds up access. This is only beneficial if a large number of database records have been deleted. The database automatically compacts itself every night if the application is running. See also Log Settings
  • Shut Down - End program. The user is first presented with a message box informing the user of the importance of keeping the program running and allowing the user to cancel the close operation before ending the program
View
  • Log Window - Displays the log window if it is not already displayed. Hides log window if it is already displayed.
Users
  • Log On - Displays the User Log On window. The user enters their user name and password to gain access to the other functions of the CineNet Driver.
  • Log Off - Logs the user off. Disables all many functions of the CineNet Driver until a new user logs on.
Help
  • Help - Displays the Help system.
  • About - Displays the About window. The About window displays information about the CineNet Driver.

CineSuite Overview
CineNet Driver Installation
CineNet Driver Quick Start
CineNet Driver Theory of Operation

Strong International


Copyright

Copyright Information

Information in this document is subject to change without notice. Unauthorized reproduction or distribution of these documents, or any portion of them, without prior written consent of EPRAD, Incorporated, may result in severe civil and criminal penalties and will be prosecuted to the maximum extent possible under the law.

© 1997 - 2000 EPRAD Incorporated. All rights reserved.


CineSuite Overview

CineSuite is designed to be an enterprise wide software solution. This is accomplished by creating separate CineSuite applications that perform different functions. By separating the software applications, the flexibility of the CineSuite enterprise is significantly increased. Applications are not required to be running on the same computer, or even in the same building. Communication between the modules is through the Internet standard TCP/IP protocol. TCP/IP communications are virtually boundless. The connections can be made on the same PC, across an Ethernet connection or through the Internet. The various CineSuite applications do not have reside on the same PC or even in the same building or same city.

Below is an illustration showing the complete CineSuite connection scheme. The CineSuite Location Server shown on this illustration allows CineSuite Routers to communicate with each other without them knowing each others IP address. Each CineSuite Router is connected to the CineSuite Location Server and the CineSuite Location Server will then find the correct CineSuite Router and forward any data. This is only necessary if connecting CineSuite Routers together across the Internet or a WAN.

The next illustration shows how the CineNet LSN network is connected to the CineNet Driver and how CineSuite clients communicate with the CineNet Driver. Any number of CineSuite clients can be connected to the CineSuite Router and communicate with the CineNet Driver. Some CineSuite clients can also communicate with each other but most of the CineSuite clients are made to communicate with the CineNet Driver since this application provides most of the data for the CNA automations on the LSN network.


CineNet Theory of Operation

The CineNet System is an integrated cinema automation network system that consists of a host computer running the CineNet Driver software, a Gateway interface card and up to 63 CNA devices that automate and report the status of all screens in a cinema multiplex. Used in conjunction with other CineSuite software, the CineNet Driver's function is to transfer data to the Gateway Interface and ultimately over the Local Synchronous Network (LSN) to and from the remote CNA devices. The CineNet Driver also provides a system wide time and date reference for all CNA devices.

The CineNet Driver communicates with the Gateway over a point to point 8-bit, 9600 baud, RS-232 serial interface. The Gateway assumes to position of primary and controls the transfer of data across the serial interface. The CineNet Driver assumes the position of secondary. Data is transferred with a checksum and retry logic to preserve data integrity.

The data link between the Gateway and th remote CNA devices has been designed to provide an efficient and reliable means of moving data at high speeds over long distances in the cinema booth environment. The physical characteristics of the network are:

  • 2-wire isolate RS-485
  • 19.2K baud asynchronous
  • Multi dropped remotes (63)

This data link is controlled with a proprietary protocol that uses retry logic and a checksum to insure the data is transferred without error.

The CineNet Driver, in conjunction with other CineSuite software, is designed to provide all the network interface functions, allowing the personal computer to serve as a command post to the entire system. All CineSuite operator functions operate in conjunction with the other network activity that is occurring. Programs, Clock Start Times and other set-up data may be edited and transferred without adversely affecting the operation of the network.


Getting Started

How to install CineNet Driver software and hardware

How to get the CineNet Driver up and running


CineNet Driver Installation

SOFTWARE INSTALLATION

CD-ROM Install

Insert the CD-ROM containing the CineNet Driver setup software. Run the setup program and follow the instructions on the screen. The setup program will completely install the CineNet Driver.

Internet Download Install

After the CineNet Driver setup program is downloaded, go to the directory where the setup program was saved. Run the setup program and follow the instructions on the screen. The setup program will completely install the CineNet Driver.

HARDWARE INSTALLATION

Before starting the CineNet Driver, the Gateway Interface should be connected between the CNA LSN network and the computer serial port.

Internal Gateway Installation

Plug the gateway card into any available slot inside the computer (make sure the computer is not powered up). Connect the short serial cable between the gateway and a serial port of the computer (use the 25 pin to 9 pin adapter if necessary). Connect the LSN network to the Gateway. The internal Gateway receives it's power from the computer so installation of the internal Gateway is complete.

External Gateway Installation/VNC Interface Installation

Connect the long serial cable between the Gateway/VNC and a serial port on the computer (use the 25 pin to 9 pin adapter if necessary). Connect the LSN network to the Gateway/VNC. Plug the wall pack power supply connector into the power connector on the Gateway/VNC and plug it into a 120vac outlet.


CineNet Driver Startup

In order to have the CineNet Driver run properly, a CineNet Gateway interface or VNC interface must be connected between the computer and the CNA LSN network (Details).

Start the CineNet Driver application by selecting the Program/CineSuite/CineNet Driver item on the Start menu. When the application is started the first time, the user will be prompted to configure the application with the proper information.

The first piece of information necessary is CineSuite Network Router connection information. The CineSuite Network Router should already be set-up and running on a computer. In the Location of Router field, enter the name of the computer the CineSuite Network Router is running on. (If the router is running on the same computer as the CineNet Driver, enter "localhost" in this field.) The name of the computer the CineSuite Router is running on can be determined by clicking on the CineSuite Network Router ‘Help/About' menu item.

Also enter a CineSuite Reference Name for this client. This should likely be the name of the theatre facility followed by CineNet Driver. This is the name that will appear on other CineSuite applications when the user is selecting this CineNet Driver.

Enter a reconnect time. This will determine how often the CineNet Driver tries to reconnect with the CineSuite Network Router if the connection is lost. One minute is the shortest possible time. Setting the time too long will delay a reconnection and setting the time too short will cause unnecessary retries to a CineSuite Network Router that may not be running. For local networks, one minute will work well.

The next piece of information to be entered is the CineNet Driver Configuration. Enter the serial port number connected to the Gateway. Select either VNC Interface or PCI-64 depending on the type of Gateway connected. (VNC is the new Versatile Network Controller). If using a PCI-64, set an LSN ID number. (Set the ID to ‘0' unless there is already another Gateway connected to the LSN network.)

The next information necessary are the log settings. The CineNet Driver will log automation events and save the information in a database (if the LSN ID is ‘0'). These settings will determine when the old data is deleted. The database of events is used by a number of other CineSuite client applications to generate reports. A minimum setting for these should be 1 month or 5000 events. Setting the time longer or events higher will keep the records longer but the database will be larger. If the data is not to be deleted, check both ‘Do not delete...' boxes.

Next, the application will indicate that it cannot find the CineNet Event Log database. Since this is the first time the application is started, the database does not exist. Click on the ‘Create New' button.

At this point the CineNet Driver should try to communicate with the Gateway through the serial port. If there is a problem, the ‘Driver Status' line will turn red and indicate the problem. If an error is indicated, select the ‘Driver/Configure/CineNet Settings' menu item and change the serial port to the correct number.

If the error message is ‘Gateway not responding', the problem could be that the Gateway is not connected to the correct serial port or it is not receiving power.

Instead of taking up space on the Windows taskbar, the CineNet Driver places an icon in the systray. Double clicking on the icon will activate the application. (Right clicking on the icon will provide a small menu.) To hide the application, click on the minimize button.


CineNet Driver LSN Settings

When the user selects the 'Driver/Configure/CineNet Settings' menu item, the CineNet Driver Configuration window is displayed.

CineNet Driver Configuration
  • CineNet Driver Location Name - Displays the name of this CineNet Driver. This name is entered on the Connection Settings window.
  • Serial Port - Enter the computers serial port number where the gateway is connected. If an unavailable port number is entered here, the problem will be reported on the main screens log window when the program tries to connect to the serial port when this window is closed.
  • VNC Interface - Select this item if the type of interface connected to the computer is the VNC interface. This will force the CineNet Driver LSN Network ID to 0 and disable it.
  • PCI-64 Gateway - Select this item if the type of interface connected to the computer is the PCI-64 interface. This will enable the CineNet Driver LSN Network ID field.
  • CineNet Driver LSN Network ID - This is the ID the gateway will use on the LSN network. This should be set to zero unless there is already another gateway interface connected to the network that is set to zero. If setting the ID to other than zero, make sure the ID does not conflict with other CNA devices connected to the network. Also, if the ID is not set to zero, the CineNet Driver will not receive Events from the CNA automations to log and it will not receive remote status information. Other CineSuite applications will then not be able to use this CineNet Driver to request that information.


CineSuite Connection Setup

When the user selects the 'Driver/Configure/Router Connection' menu item, the Connection Settings window is displayed.

Connection Settings
  • Location of Router - This is where the CineSuite Network Router application can be found. This is the name of the computer for a local network or an Internet domain name for an Internet connection. The IP address can also be entered directly if know for any type of network connection. If the CineNet Driver is running on the same computer as the CineSuite Network Router, "localhost" should be entered here.
  • CineSuite Reference Name - Enter the name you want to call this CineNet Driver in this field. This is typically the name of the theatre complex followed by "CineNet Driver". This name will be displayed to other users running other CineSuite applications when they want to choose this driver.
  • Reconnect Delay Period - The amount of time the CineNet Driver waits before trying to connect to the CineSuite Network Router after the connection has been lost. One minute is the shortest possible time. Setting the time too long will delay a reconnection and setting the time too short will cause unnecessary retries to a CineSuite Network Router that may not be running. For local networks, one minute will work well.


Driver Status

This is a list of driver status messages. These are displayed on the CineNet Driver main screen to indicate the current status of the CineNet Driver. These are also logged in the log window to give a history of the driver status.

Driver Status Messages

  • Driver On Line - This indicates everything is working correctly. The CineNet Driver program is communicating with the gateway connected to the serial port of the computer.

  • Error Opening Driver Serial Port - The CineNet Driver could not open the selected serial port but the specific reason was not reported by the operating system.

  • Error; Specified Serial Port In User - The CineNet Driver could not open the selected serial port because the selected serial port is already being used by another applications.

  • Error: Specified Serial Port Invalid - The CineNet Driver could not open the selected serial port because the selected serial port does not exist or the serial port is not configured correctly through the operating system.

  • Gateway Not Responding - The CineNet Driver has successfully opened a serial port on the computer but the gateway is not communicating with the serial port. This could be caused by the gateway being connected to the wrong serial port, a defective gateway, gateway not connected or gateway not receiving power. The gateway does not have to be connected to the LSN network to communicate correctly with the serial port.

  • CineNet Driver Off Line - This message should never show on the screen. This is the driver status sent to other CineSuite applications when the CineNet Driver is shut down.

  • Gateway Driver Status Error - The CineNet Driver is not communicating with the gateway but the specific error is not being reported by the application. This message should only be shown if there is a bug in the application.


Log Settings

When the user selects the 'Driver/Configure/Log Settings' menu item, the Log Settings window is displayed. The Log Settings menu item is disabled until a user with sufficient access rights logs on. The log settings determine how the database size is managed. Activity Log records can be deleted based on their age or by the quantity of records in the database.

Old log records are deleted from the database when the database is compacted. This keeps the database to a manageable size. Records that are deleted cannot be recovered.

If both check boxes are marked, records are not deleted although the application will still try to compact the database every night. The database size will be able to grow until it fills all available disk space (although that would likely take years).

Log Settings

  • Do not delete logged events based on record age - If this box is checked, records are not deleted from the database regardless of when the log event was recorded.
  • Delete logged events older than: (days) - If the above check box is not checked, log events are deleted from the database when the database is compacted. The program uses the computers current date to determine if records in the database are older than the specified number of days.
  • Do not delete logged events based on record count - If this box is checked, records are not deleted from the database regardless of how many records exist in the database.
  • Delete oldest records when record count exceeds - If the above check box is not checked, log events are deleted from the database when the database is compacted. The program determines how many records must be deleted in order to not exceed the maximum specified and deletes the oldest records.


User Log On

When the user selects the 'User/Log On' menu item, the User Log On window is displayed. The user must then enter a user name and password.

The user name and password are case sensitive. They must be entered exactly the same as when the user was set up or when a new password was entered.

When a user name and password has been entered, the Accept button will be enabled. When the Accept button is clicked, the information is sent to the CineSuite Network Router to check for user access. If the log on fails, an Access Denied message box will be displayed. The User Log On window will be displayed again and the user can again try to log on.